WESNOTHD(6)

NOME
wesnothd - Demone di rete per multigiocatore di Battle for Wesnothwesnothd - Demone di rete per multigiocatore di Battle for Wesnoth

SYNOPSIS
wesnothd [-dvV] [-c percorso] [-p porta] [-t numero] [-T numero]
wesnothd -V

DESCRIZIONE
Gestisce le partite multigiocatore di Battle for Wesnoth. Vedi http://www.wesnoth.org/wiki/ServerAdministration per sapere quali comandi sono accettati dal server attraverso il client di wesnoth (/query ...) o il socket.

OPZIONI

-c percorso, --config percorso
    indica a wesnothd dove trovare il file di configurazione da usare. Vedi la sezione SERVER CONFIG più avanti per la sintassi. Puoi ricaricare la configurazione inviando un segnale SIGHUP al processo del server.

-d, --daemon
    carica wesnothd come demone.

-h, --help
    spiega che cosa fanno le opzioni da linea di comando.

--log-livello=dominio1,dominio2,...
    imposta il livello di severità dei domini di debug. Puoi usare all per qualsiasi dominio di debug. Livelli disponibili: error, warning,info, debug. Normalmente è usato il livello error ed il livello info è usato per il dominio del server.

-p porta, --port porta
    lega il server ad una porta specifica. Se non viene specificata una porta, sarà usata la porta 15000.

-t numero, --threads numero
    imposta il numero massimo di thread da usare per l'I/O (valore predefinito: 5, massimo: 30).

-T numero, --max-threads numero
    imposta il numero massimo di thread da creare. Se vale 0 non c'è limite (valore predefinito: 0).

-V, --version
    visualizza il numero di versione ed esce.

-v, --verbose
    rende più prolisso il log.

SERVER CONFIG

  La sintassi generale è:

[tag]

    key="valore"

    key="valore,valore,..."

[/tag]

  Caratteri globali:

ban_save_file
    Percorso completo o relativo ad un file (compresso con gzip) che il server possa scrivere e leggere. L'elenco degli utenti messi al bando sarà conservato in questo file e letto a tutti gli avvii del server.Percorso completo o relativo ad un file (compresso con gzip) che il server possa scrivere e leggere. L'elenco degli utenti messi al bando sarà conservato in questo file e letto a tutti gli avvii del server.

connections_allowed
    Il numero di connessioni permesse dallo stesso IP. 0 indica infinite connessioni (valore predefinito: 5).

disallow_names
    I nomi o nick che non sono accettati dal server. Si possono usare i caratteri jolly «*» e «?». Vedi glob(7) per maggiori dettagli. I valori predefiniti (usati in mancanza di specifiche diverse) sono: *admin*,*admln*,*server*,ai,ai?,computer,human,network,player.

fifo_path
    The path to the fifo you can echo server commands into (same as /query ... from wesnoth). If not specified defaults to the compile-time specified path (default: /var/run/socket/wesnothd/socket).

max_messages
    Il numero di messaggi permessi in un periodo di messages_time_period (valore predefinito: 4).

messages_time_period
    Il periodo di tempo (in secondi) entro il quale rilevare un'inondazione di messaggi (valore predefinito: 10 secondi).

motd
    Il messaggio del giorno.

passwd
    La password da usare per dare i privilegi di amministratore. Di solito inizia con «admin ».

percorso_salvataggio_replay
    La directory in cui il server conserva i replay delle partite (Non dimenticare la barra «/» alla fine!). In assenza di modifiche, vale «», che significa la directory da cui è stato eseguito wesnothd.

restart_command
    The command that the server uses to start a new server process via the `restart' command. (Can only be issued via the fifo.)

salva_replays
    Definisce se il server salverà automaticamente i replay delle partite. (normalmente: false)

versions_accepted
    Un elenco separato da virgole delle stringhe di versione che il server deve accettare. I caratteri jolly `*' e `?' sono ammessi (il valore predefinito è lo stesso della versione di wesnoth corrispondente).
    Esempio: versions_accepted="*" accetta tutte le stringhe di versione.

user_handler
    The name of the user handler to use. Currently available user handlers are 'forum' (to connect wesnothd to a phpbb forum database) and 'sample' (a sample implementation of the user handler interface, if you use this on anything real you are insane). The default value is 'forum'. You must also add a [user_handler] section, see below.

  Tag globali:

[redirect] Un tag per specificare un server a cui redirigere certe versioni di client.

    host
        Indirizzo del server a cui reindirizzare i collegamenti

    port
        Porta su cui connettersi

    version
        Una lista separata da virgole delle versioni daredirigere. Si comporta come versions_accepted per quello che riguarda lo schema dei caratteri jolly.

[ban_time] Un'etichetta per definire parole chiave comode per periodi di messa al bando temporanei.

    nome
        Il nome usato per fare riferimento al periodo di messa al bando.

    periodo
        The time length definition. The format is: %d[%s[%d%s[...]]] where %s is s (seconds), m (minutes), h (hours), D (days), M (months) or Y (years) and %d is a number. If no time modifier is given minutes (m) are assumed. Example: time="1D12h30m" results in a ban time of 1 day, 12 hours and 30 minutes.

[proxy] Un tag che indica al server di fare da proxy e di inoltrare le richieste dei client connessi al server specificato. Accetta le stesse parole chiave di [redirect].

[user_handler] Configures the user handler. Available keys vary depending on which user handler is set with the user_handler key. If no [user_handler] section is present in the configuration the server will run without any nick registration service.

    db_host
        (per user_handler=forum) L'hostname del server del database

    db_name
        (per ser_handleu=forum) Il nome del database

    db_user
        (per user_handler=forum) Il nome dell'utente con cui connettersi al database

    db_password
        (per user_handler=forum) La password di questo utente

    db_users_table
        (for user_handler=forum) The name of the table in which your phpbb forums saves its user data. Most likely this will be <table-prefix>_users (e.g. phpbb3_users).

    db_extra_table
        (for user_handler=forum) The name of the table in which wesnothd will save its own data about users. You will have to create this table manually, e.g.: CREATE TABLE <table-name>(username VARCHAR(255) PRIMARY KEY, user_lastvisit INT UNSIGNED NOT NULL DEFAULT 0, user_is_moderator TINYINT(4) NOT NULL DEFAULT 0);

    user_expiration
        (per user_handler=sample) Il tempo dopo cui un nome registrato scade (in giorni).

[mail] Configures an SMTP server through which the user handler can send mail. Currently only used by the sample user handler.

    server
        L'hostname del sever della posta

    username
        Il nome utente per connettersi al server della posta.

    password
        La password di questo utente.

    from_address
        L'indirizzo reply-to della tua posta.

    mail_port
        La porta su cui il tuo server di posta è in ascolto. Omettendo un valore, viene usata la 25.

AUTORE
Scritto David White <davidnwhite@verizon.net>. Modificato da Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> e Soliton <soliton.de@gmail.com> w Thomas Bauhauer <thomas.baumhauer@gmailcom>. Questo manuale è stato scritto in origine da Cyril Bouthors <cyril@bouthors.org>.
Visita la pagina home ufficiale: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
Questo gioco è rilasciato come Software Libero; viene rilasciato secondo i termini della licenza GPL versione 2 come pubblicata dalla Free Software Foundation. Non è fornita nessuna garanzia, né per la COMMERCIALIZZAZIONE né per l'ADEGUATEZZA AD UNO SCOPO PARTICOLARE.

SEE ALSO
wesnoth(6), wesnoth_editor(6)